Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 1419293005: Add assertions that the empty Platform::cryptographicallyRandomValues() overrides are not being use… (Closed)

Created:
3 years ago by eroman
Modified:
3 years ago
Reviewers:
jww, jrummell, Mike West
CC:
Mads Ager (chromium), blink-reviews, blink-reviews-dom_chromium.org, blink-reviews-platform-graphics_chromium.org, Rik, chromium-reviews, danakj, davidben, dglazkov+blink, dshwang, drott+blinkwatch_chromium.org, krit, eae+blinkwatch, feature-media-reviews_chromium.org, f(malita), gavinp+loader_chromium.org, haraken, Nate Chapin, jbroman, jochen+watch_chromium.org, Justin Novosad, kouhei+heap_chromium.org, loading-reviews+fetch_chromium.org, mlamouri+watch-test-runner_chromium.org, oilpan-reviews, pdr+graphicswatchlist_chromium.org, rwlbuis, Stephen Chennney, sof, tyoshino+watch_chromium.org, vmpstr+blinkwatch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add assertions that the empty Platform::cryptographicallyRandomValues() overrides are not being used. These implementations are not safe and look scary if not accompanied by an assertion. Also one of the comments was incorrect. BUG=552749 Committed: https://crrev.com/0d151e09e13a704e9738ea913d117df7282e6c7d Cr-Commit-Position: refs/heads/master@{#359229}

Patch Set 1 #

Total comments: 6

Patch Set 2 : Change to RELEASE_ASSERT and use base::RandBytes() in Chromium. #

Messages

Total messages: 16 (3 generated)
eroman
(This is a cleanup CL as part of my work on crbug.com/552749)
3 years ago (2015-11-09 22:50:54 UTC) #2
eroman
+cc davidben as FYI
3 years ago (2015-11-10 00:24:06 UTC) #3
jww
lgtm % nits https://codereview.chromium.org/1419293005/diff/1/components/test_runner/test_common.cc File components/test_runner/test_common.cc (right): https://codereview.chromium.org/1419293005/diff/1/components/test_runner/test_common.cc#newcode35 components/test_runner/test_common.cc:35: NOTREACHED(); Why isn't this an ASSERT_NOT_REACHED()? ...
3 years ago (2015-11-10 18:43:17 UTC) #4
eroman
https://codereview.chromium.org/1419293005/diff/1/components/test_runner/test_common.cc File components/test_runner/test_common.cc (right): https://codereview.chromium.org/1419293005/diff/1/components/test_runner/test_common.cc#newcode35 components/test_runner/test_common.cc:35: NOTREACHED(); On 2015/11/10 18:43:16, jww wrote: > Why isn't ...
3 years ago (2015-11-10 19:26:14 UTC) #5
jww
https://codereview.chromium.org/1419293005/diff/1/components/test_runner/test_common.cc File components/test_runner/test_common.cc (right): https://codereview.chromium.org/1419293005/diff/1/components/test_runner/test_common.cc#newcode35 components/test_runner/test_common.cc:35: NOTREACHED(); On 2015/11/10 19:26:14, eroman wrote: > On 2015/11/10 ...
3 years ago (2015-11-10 19:32:26 UTC) #6
eroman
https://codereview.chromium.org/1419293005/diff/1/components/test_runner/test_common.cc File components/test_runner/test_common.cc (right): https://codereview.chromium.org/1419293005/diff/1/components/test_runner/test_common.cc#newcode35 components/test_runner/test_common.cc:35: NOTREACHED(); On 2015/11/10 19:32:26, jww wrote: > On 2015/11/10 ...
3 years ago (2015-11-10 19:45:56 UTC) #7
jww
Still lgtm. Thanks!
3 years ago (2015-11-10 20:07:52 UTC) #8
eroman
+mkwst for OWNERS approval (on all files except media/blink/run_all_unittests.cc). +jrummell for OWNERS approval on media/blink/run_all_unittests.cc ...
3 years ago (2015-11-10 20:38:37 UTC) #10
Mike West
LGTM.
3 years ago (2015-11-11 06:12:43 UTC) #11
jrummell
media LGTM
3 years ago (2015-11-11 23:42:37 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1419293005/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1419293005/20001
3 years ago (2015-11-12 00:11:08 UTC) #14
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years ago (2015-11-12 03:18:16 UTC) #15
commit-bot: I haz the power
3 years ago (2015-11-12 20:03:47 UTC) #16
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/0d151e09e13a704e9738ea913d117df7282e6c7d
Cr-Commit-Position: refs/heads/master@{#359229}

Powered by Google App Engine
This is Rietveld 408576698